!set title=Invertibilidad y coeficientes
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=21
prevarcnt=20
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Verdadero
val7=Falso
val8=$val6,$val7
val9=invertible
val10=\(A)
val11=$val10 es $val9
val12=$val10 no es $val9
tmp0=!randitem fila, columna

val13=$(tmp0)
tmp0=!randitem filas, columnas

val14=$(tmp0)
tmp0=!randitem superior, inferior

val15=$(tmp0)
tmp0=!randint 4, 9

val16=$[rint($(tmp0))]
tmp0=!shuffle $val16

val17=$(tmp0)
tmp0=!item 1 of $val17

val18=$[rint($(tmp0))]
tmp0=!item 2 of $val17

val19=$[rint($(tmp0))]
tmp0=!randitem positivos,negativos

tmp1=!randitem 1,-1,2,-2

tmp2=!randint 1, $val16-1

tmp=!trim $val10 es triangular $val15,$val11,$val7	$val10 es triangular $val15 con diagonal no nula,$val11,$val6	los elementos de la diagonal son todos distintos de cero,$val11,$val7	todos los coeficientes son estrictamente $(tmp0),$val11,$val7	todos los coeficientes son no nulos,$val11,$val7	todos los coeficientes son iguales,$val11,$val7	todos los coeficientes son iguales a $(tmp1),$val11,$val7	no $val13 is all-zero, $val11, $val7		$val10 es $val15 triangular con 0 en la diagonal,$val12,$val6	la diagonal es nula,$val12,$val7	todos los coeficientes son cero,$val12,$val6	todos los coeficientes son iguales,$val12,$val6	$val13 número $val18 es nula, $val12, $val6	$val14 número $val18 and $val19 son iguales, $val12, $val6	sólo hay $(tmp2) elementos distintos de cero, $val12, $val6	sólo hay ($val16..2*$val16) elementos distintos de cero, $val12, $val7		$val11, elementos de la diagonal son no nulos, $val7	$val11 y $val15 triangular, elementos de la diagonal son no nulos, $val6		$val12, existe una $val13 no totalmente nula, $val7	$val12, existen dos $val14 que son iguales, $val7	$val12, existe almenos un elemnto que es 0, $val7	$val12 y  $val15 triangular, existe un 0 en la diagonal, $val7	
val20=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val20

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val20=$(tmp0)
tmp0=!item 1 of $val20

val21=$(tmp0)
tmp0=!item 2 of $val20

val22=$(tmp0)
tmp0=!item 3 of $val20

val23=$(tmp0)
val24=$val16×$val16
choicename1=La respuesta
choicegood1=$val23
choicebad1=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea 
!insmath A
$() una matriz $val24. ¿Es verdadera la siguiente afirmación?	<p><center>	 Si $val21, $val22.	</center><p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=21,22,24
embedcnt=0
